# This is a bunch of settings useful for configuring this DOKK isntance.

[dokk]
archive = /srv/dokk-archive

# Use this path for all routes used by this instace. For example if
# reserved_path=/dokk the signin form will be at /dokk/sigin
# All other paths are available to users for topics, eg. /Colosseum
reserved_path = /dokk/instance

[sparql]
# Install Fuseki as described in the README, then change the server hostname
# below as appropriate.

instance_query  = http://localhost:3030/instance/query
instance_update = http://localhost:3030/instance/update

graph_query  = http://localhost:3030/graph/query
graph_update = http://localhost:3030/graph/update

public_query  = http://localhost:3030/public/query

[session]
# Name to use for the session cookie
name = dokk

# Timeout in seconds for the "remember me" option.
# By default, if the user doesn't click "remember me" during login the
# session will end when the browser is closed.
# 2592000 = 30 days
remember_me = 2592000

[cookies]
# A secret key for signing cookies. Must be kept private.
# Used to verify that cookies haven't been tampered with.
secret = "secret random string"
